/* PAGE */
body {
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.main {
    display: flex;
    padding: 0 30px 25px 30px;
    flex-direction: column;
    align-items: center;
    align-self: stretch;

    background-color: #060C1A;

    background-image: 
        radial-gradient(circle at 20% 20%, rgba(76, 0, 255, 0.212) 0%, transparent 40%),
        radial-gradient(circle at 70% 50%, rgba(0, 200, 255, 0.151) 0%, transparent 50%),
        radial-gradient(circle at 30% 90%, rgba(76, 0, 255, 0.205) 0%, transparent 40%);
}


/* SEPARATEUR */
.bar {
    display: flex;
    width: 100%;
    max-width: 1200px;
    align-items: center;
    gap: 10px;
}

.bar p {
    color: #FFF;
    font-family: Pridi;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 100%; /* 16px */
}

.bar .ligne {
    height: 1px;
    flex: 1 0 0;
    background: #FFF;
}


/* CONTENEUR */
.container {
    display: flex;
    max-width: 1200px;
    padding-top: 60px;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
}


/* BOUTON */
.bouton {
    display: flex;
    padding: 10px 15px;
    justify-content: center;
    align-items: center;
    gap: 7px;

    border-radius: 8px;
    border: 0.5px solid #8E93A1;
    background: #346ADB;

    color: #FFF;
    font-family: Pridi;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: 100%; /* 20px */
    text-decoration: none;
    transition: background 0.2s ease;
}

.bouton:hover {
    background: #1c3d86;
    color: #FFF;
}


/* COOKIES */
.cookie-banner {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 600px;
    background: #0B1121;
    border: 1px solid #346ADB;
    border-radius: 20px;
    padding: 20px;
    z-index: 9999;
    display: none; /* Caché par défaut */
    box-shadow: 0 10px 30px rgba(0,0,0,0.5);
}

.cookie-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    text-align: center;
}

.cookie-content p {
    color: #8E93A1;
    font-family: 'Pridi', sans-serif;
    font-size: 14px;
    margin: 0;
}

.cookie-buttons {
    display: flex;
    gap: 10px;
}

.btn-accept, .btn-deny {
    padding: 10px 25px;
    border-radius: 12px;
    font-family: 'Pridi', sans-serif;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s;
}

.btn-accept {
    background: #346ADB;
    border: none;
    color: white;
}

.btn-deny {
    background: transparent;
    border: 1px solid #8E93A1;
    color: #8E93A1;
}

.btn-accept:hover { background: #2854a8; }
.btn-deny:hover { border-color: #FFF; color: #FFF; }